Arc Constructor (ViewBase, Point, Point, Double, ArcArcAttributes)

Creates a new arc instance with the given two points, radius and specified attributes.

Namespace:  Tekla.Structures.Drawing
Assembly:  Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2023.0.3
Syntax
public Arc(
	ViewBase inView,
	Point inPoint1,
	Point inPoint2,
	double inRadius,
	ArcArcAttributes inAttributes
)

Parameters

inView
Type: Tekla.Structures.DrawingViewBase
The view to be used.
inPoint1
Type: Tekla.Structures.Geometry3dPoint
The start point to be used.
inPoint2
Type: Tekla.Structures.Geometry3dPoint
The end point to be used.
inRadius
Type: SystemDouble
The radius to be used.
inAttributes
Type: Tekla.Structures.DrawingArcArcAttributes
The arc attributes to be used.
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next